Red Hat Enterprise Linux 3: System Administration Guide
Prev | Chapter 14. PXE Network Installations | Next

# 14.3. Adding PXE Hosts

After configuring the network server, the interface as shown in Figure 14-2 is displayed.

Figure 14-2. Add Hosts

The next step is to configure which hosts are allowed to connect to the PXE boot server. For the command line version of this step, refer to Section 14.3.1 Command Line Configuration.

To add hosts, click the New button.

Figure 14-3. Add a Host

Enter the following information:

- Hostname or IP Address/Subnet — Enter the IP address, fully qualified hostname, or a subnet of systems that should be allowed to connect to the PXE server for installations.

- Operating System — Select the operating system identifier to install on this client. The list is populated from the network install instances created from the Network Installation Dialog.

- Serial Console — Select this option to use a serial console.

- Kickstart File — Specify the location of a kickstart file to use such as `http://server.example.com/kickstart/ks.cfg`. This file can be created with the Kickstart Configurator. Refer to Chapter 10 Kickstart Configurator for details.

Ignore the Snapshot name and Ethernet options. They are only used for diskless environments.

## 14.3.1. Command Line Configuration

If the network server is not running X, the `pxeboot` utility, a part of the `redhat-config-netboot` package, can be used to add hosts which are allowed to connect to the PXE server:

    pxeboot -a -O <os-identifier> -r <value> <host>

The following list describes the options:

- `-a` — Specifies that a host is to be added.

- `-O` `<os-identifier>` — Replace `<os-identifier>` with the operating system identifier as defined in Section 14.2 PXE Boot Configuration.

- `-r` `<value>` — Replace `<value>` with the ram disk size

- `<host>` — Replace `<host>` with the IP address or hostname of the host to add.

Prev | Home | Next
PXE Boot Configuration | Up | Starting the `tftp` Server